<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel= "stylesheet" type= "text/css" href= "{{ url_for('static',filename='styles/style.css') }}">
    <title>Credit Card Acceptance Predictor</title>
</head>
<body>
    <div class="main_div">
        <h1>Credit Card Acceptance Predictor</h1>
        
        <form class="form" action="{{ url_for("credit_cards")}}" method="post">
            <p style="text-align: right; font-size: 0.75rem; font-style:italic;" class="required_input">All required fields are marked *</p>

            <label for="full_name">Full Name </label>
            <input placeholder="Eg: John Doe" type="text" id="full_name" name="full_name"><br><br>

            <label for="FLAG_OWN_CAR">Do you own a Car ? <span class="required_input">*</span></label>
            <select required id="FLAG_OWN_CAR" name="FLAG_OWN_CAR" required>
            <option selected disabled value="" class="gray_input">Select an option</option>
            <option value="Y">Yes</option>
            <option value="N">No</option>
            </select>
            <br><br>

            <label for="FLAG_OWN_REALTY">Do you own a Realty ? <span class="required_input">*</span></label>
            <select id="FLAG_OWN_REALTY" name="FLAG_OWN_REALTY" required>
            <option disabled selected value="">Select an option</option>
            <option value="Y">Yes</option>
            <option value="N">No</option>
            </select>
            <br><br>

            <label for="CNT_CHILDREN">How many Children do you have ? <span class="required_input">*</span></label>
            <input required type="number" id="CNT_CHILDREN" name="CNT_CHILDREN" placeholder="Eg: 2" min="0" max="69">
            <br><br>
            
            <label for="AMT_INCOME_TOTAL">What is your Annual Income ? <span class="required_input">*</span></label>
            <input required type="number" id="AMT_INCOME_TOTAL" name="AMT_INCOME_TOTAL" placeholder="Eg: 45000" min="0">
            <br><br>
            
            <label for="DAYS_BIRTH">What is your Date of Birth ? <span class="required_input">*</span></label>
            <input required type="date" id="DAYS_BIRTH" name="DAYS_BIRTH" />
            <br><br>

            <label for="DAYS_EMPLOYED">How long have you been Employed (in Years) ? <span class="required_input">*</span></label>
            <input required type="number" id="DAYS_EMPLOYED" name="DAYS_EMPLOYED" placeholder="Eg: 1.25" min="0" step="0.25">
            <br><br>

            <label for="CNT_FAM_MEMBERS">How many Family Members do you have (including yourself) ? <span class="required_input">*</span></label>
            <input required type="number" id="CNT_FAM_MEMBERS" name="CNT_FAM_MEMBERS" placeholder="Eg: 4" min="1">
            <br><br>

            <label for="NAME_INCOME_TYPE">Select your Income Type <span class="required_input">*</span></label>
            <select required id="NAME_INCOME_TYPE" name="NAME_INCOME_TYPE" required>
            <option disabled selected value="">Select an option</option>
            <option value="Commercial Associate">Commercial Associate</option>
            <option value="Pensioner">Pensioner</option>
            <option value="Student">Student</option>
            <option value="State Servant">State Servant</option>
            <option value="Working">Working</option>
            </select>
            <br><br>

            <label for="NAME_EDUCATION_TYPE">Select your Education Type <span class="required_input">*</span></label>
            <select required id="NAME_EDUCATION_TYPE" name="NAME_EDUCATION_TYPE" required>
            <option disabled selected value="">Select an option</option>
            <option value="Academic degree">Academic Degree</option>
            <option value="Higher education">Higher Education</option>
            <option value="Incomplete higher">Incomplete Higher</option>
            <option value="Lower secondary">Lower Secondary</option>
            <option value="Secondary / secondary special">Secondary / Secondary Special</option>
            </select>
            <br><br>

            <label for="NAME_HOUSING_TYPE">Select your Housing Type <span class="required_input">*</span></label>
            <select required id="NAME_HOUSING_TYPE" name="NAME_HOUSING_TYPE" required>
            <option disabled selected value="">Select an option</option>
            <option value="Co-op apartment">Co-Op Apartment</option>
            <option value="House / apartment">House / Condo Owner</option>
            <option value="Municipal apartment">Municipal Apartment</option>
            <option value="Office apartment">Office Apartment</option>
            <option value="Rented apartment">Rented Apartment</option>
            <option value="With parents">Living with Parents</option>
            </select>
            <br><br>

            <label for="NAME_FAMILY_STATUS">Select your Family Status <span class="required_input">*</span></label>
            <select required id="NAME_FAMILY_STATUS" name="NAME_FAMILY_STATUS" required>
            <option disabled selected value="">Select an option</option>
            <option value="Civil marriage">Civil Marriage</option>
            <option value="Married">Married</option>
            <option value="Separated">Separated</option>
            <option value="Single / not married">Single / Not Married</option>
            <option value="Widow">Widow</option>
            </select>
            <br><br>

            <label for="OCCUPATION_TYPE">Select your Occupation<span class="required_input">*</span></label>
            <select required id="OCCUPATION_TYPE" name="OCCUPATION_TYPE" required>
            <option disabled selected value="">Select an option</option>
            <option value="Security staff">Security Staff</option>
            <option value="Sales staff">Sales Staff</option>
            <option value="Accountants">Accountants</option>
            <option value="Laborers">Laborers</option>
            <option value="Managers">Managers</option>
            <option value="Drivers">Drivers</option>
            <option value="Core staff">Core Staff</option>
            <option value="High skill tech staff">High Skill Tech Staff</option>
            <option value="Cleaning staff">Cleaning Staff</option>
            <option value="Private service staff">Private Service Staff</option>
            <option value="Cooking staff">Cook</option>
            <option value="Low-skill Laborers">Low-Skill Laborer</option>
            <option value="Medicine Staff">Medical</option>
            <option value="Secretaries">Secretary</option>
            <option value="Waters/barmen staff">Waiters/Barmen</option>
            <option value="HR staff">HR</option>
            <option value="Realty agents">Realtor</option>
            <option value="IT staff">IT</option>
            <option value="Other">Other</option>
            </select>
            <br><br>
            
            <label for="mobile_phone">Mobile Phone Number: <span class="required_input">*</span></label>
            <select required id="mobile_phone" name="mobile_phone" required>
            <option disabled selected value="">Select an option</option>
            <option value=1>Yes</option>
            <option value=0>No</option>
            </select>
            <br><br>

            <label for="home_phone"> Home Phone Number: <span class="required_input">*</span></label>
            <select required id="home_phone" name="home_phone" required>
            <option disabled selected value="">Select an option</option>
            <option value=1>Yes</option>
            <option value=0>No</option>
            </select>
            <br><br>

            <label for="work_phone">Work Phone Number: <span class="required_input">*</span></label>
            <select required id="work_phone" name="work_phone" required>
            <option disabled selected value="">Select an option</option>
            <option value=1>Yes</option>
            <option value=0>No</option>
            </select>
            <br><br>
            <label for="email">Email Address<span class="required_input">*</span></label>
            <select id="email" name="email" required>
            <option disabled selected value="">Select an option</option>
            <option value=1>Yes</option>
            <option value=0>No</option>
            </select>
            <br><br>

            <label for="ML_Model_type">Select the ML Model you want to use <span class="required_input">*</span></label>
            <select required id="ML_Model_type" name="ML_Model_type" required>
            <option disabled selected value="">Select an option</option>
            <option value="1">Decision Tree</option>
            <option value="2">Neural Network</option>
            <option value="3">Random Forest</option>
            <option value="4">Random Forest V2</option>
            <option value="5">K-Nearest Neighbor</option>
            </select>
            <br><br>

            <button class="submit_btn" type="submit">Predict</button>
        </form>
    </div>
    <div class="footer_div">
        Course: CMPE 220 | 
        Submitted by: Ashley Ho, Jad Abed, Faaris Khilji, Akash Kishorbhai Vegada

    </div>
</body>
</html>

<!-- FLAG_OWN_CAR (int) - Yes, No

FLAG_OWN_REALTY (int) - Yes

CNT_CHILDREN (int) 

AMT_INCOME_TOTAL (int), 

DAYS_BIRTH (int), 

DAYS_EMPLOYED (int), 

CNT_FAM_MEMBERS (BOOL), 

MONTHS_BALANCE (BOOL), 

Income Type : 
    Commercial Associate (BOOL), 
    Pensioner (BOOL), 
    State servant (BOOL), 
    Student (BOOL), 
    Working (BOOL), 

Educaton Type :
    Academic degree (BOOL), 
    Higher education (BOOL), 
    Incomplete higher (BOOL), 
    Lower secondary (BOOL), 
    Secondary / secondary special (BOOL)

Family Status :
    Civil marriage (BOOL), 
    Married (BOOL), 
    Separated (BOOL), 
    Single / not married (BOOL), 
    Widow (BOOL)

Housing Type : 
    Co-op apartment (BOOL), 
    House / Condo Owner (BOOL), 
    Municipal apartment (BOOL), 
    Office apartment (BOOL), 
    Rented apartment (BOOL), 
    Living with parents (BOOL) -->